import { post, http } from 'mocp/utils/http'

export const unplanApplyListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/unplanApply/unplanApplyList',
        data,
        config
    })
}

export const addUnplanApplyApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/workbench/unplanApply/addUnplanApply',
        data,
        config
    })
}

export const checkPakgeNoApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/unplanApply/checkPakgeNo',
        data,
        config
    })
}
export const getUnplanApplyApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/unplanApply/getUnplanApply',
        data,
        config
    })
}
export const changeStatusApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/unplanApply/changeStatus',
        data,
        config
    })
}
export const changeExemptStatusApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/unplanApply/changeExemptStatus',
        data,
        config
    })
}
